Page MenuHomePhabricator

Align Differential with Wikimedia workflow (instead of aligning Wikimedia workflow with Differential)
Closed, DeclinedPublic

Description

Make it look like less for a software company and more for a FOSS organization.

Related Objects

StatusAssignedTask
DeclinedNone
InvalidNone
ResolvedQgil
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
ResolvedQgil
DeclinedNone
InvalidQgil
ResolvedQgil
ResolvedNone
InvalidQChris
DeclinedNone
Resolved yuvipanda
Invalidchasemp
Resolvedvalhallasw
Declinedvalhallasw
Resolvedvalhallasw
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
InvalidLegoktm
DeclinedNone
Invalidmmodell
Resolvedmmodell
Declinedgreg
Invalidgreg
DeclinedNone
ResolvedQgil
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
Declinedmmodell
DeclinedNone
DuplicateNone
DeclinedNone
DeclinedNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2016, 6:20 AM
Luke081515 added a subscriber: Luke081515.
Qgil added a subscriber: Qgil.Mar 16 2016, 11:24 AM

With this lack of detail, I don't see this task actionable...

Yeah, seems like a tracking task

greg added a subscriber: greg.Mar 16 2016, 3:03 PM

I've generally preferred using the Gerrit-Migration project for any tasks that should be completed/resolved before the migration in lieu of a tracking task. They accomplish the same thing :)

Although Phacility has been very generous and accepting when listening to our needs, changing their product to be 'less for a software company' doesn't seem like a productive goal. Phacility is a business and to make money they need to support their customers. It should not be our goal to interfere with that.

We can advocate for our use-cases and even fund them where appropriate to support features that we find useful. On the other hand, if our goal is to shape their product in ways which affect other phabricator users negatively, then I don't think we will have much success.

Maybe we could create configs so that way they can have it two ways, think about there customers and think about other users so its a win win.

Aklapper closed this task as Declined.EditedMar 17 2016, 10:30 AM

The listed subtasks are already tracked in Gerrit-Migration and this task provides a specific solution ("Fund Phacility") instead of describing a problem. Hence I'm closing this as declined.

Of course Phacility is not tied to Wikimedia, but I don't think Wikimedia should be tied to Phacility either. Moving away from Gerrit seems inevitable, but as my experience with Differential has been quite negative, I am disappointed by the fact that everybody is trying to make the workflow fit the tool and not the opposite. I'd be very sad if more repositories switch to GitHub, wouldn't you?

Ricordisamoa renamed this task from Phund Phacility to align Differential with Wikimedia workflow to Align Differential with Wikimedia workflow (instead of aligning Wikimedia workflow with Differential).Mar 20 2016, 1:31 PM

(..) but as my experience with Differential has been quite negative (...)

what are the main problems?

(..) but as my experience with Differential has been quite negative (...)

what are the main problems?

We would have to use arc which is not even officially supported on windows which means any bugs found carn't be fixed since windows is not supported in phabricator.

Plus when I tried arc it was really hard to use and kept failing for some reason not sure why it was very hard to push it.

I'm using arc and i think it is easy. I'm using it on labs instances, might be a way to? Otherwise we should try to pay phacility to solve https://secure.phabricator.com/T5000.

I'm using arc and i think it is easy. I'm using it on labs instances, might be a way to? Otherwise we should try to pay phacility to solve https://secure.phabricator.com/T5000.

Oh, I found it very hard kept failing the lint test or something was causing something to not work because everytime I tried to push it failed. It was also very hard to find instructions on users using git but having to find how to use the same commands in arc.

They can add configs that makes it esisar for users who just want to use git and not arc.

You can upload diffs with failed lints, just enter a excusion. The advantage is, that you can see the problems before uploading. Maybe generate a arcanist project at labs for users can solve this problem, in this case I can setup the settings for users, so that the can use it easily.

Created T130507 for that, I got already a concept to realise that. In this case users have only ssh to this labs project to use arc. I would do the installation / maintenace

Maybe we could duplicate how we use git commands so for example if we do arc add it should be similar to git add but under the hood it would work as if we did the command that we would other wise use.

Same for commit and push. It would make it easy and plus we could maintain windows support.

And we could disable linting by default since we would have units tests from jenkins so we doint need linting.

greg moved this task from To Triage to Done/Archive on the Gerrit-Migration board.Mar 25 2016, 6:43 PM